package com.abi.qms.platform.controller.inner;

import com.abi.platform.Base.BaseResponse;
import com.abi.qms.platform.annotation.PassToken;
import com.abi.qms.platform.dto.req.GetActUrlReq;
import com.abi.qms.platform.dto.res.GetActUrlRes;
import com.abi.qms.platform.service.ActUrlRouteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 活动页面路由
 * </p>
 *
 * @author Andy.Tan
 */
@Slf4j
@RestController
@Api(tags = "活动页面路由")
@RequestMapping("/route")
public class ActUrlRouteController {

    @Autowired
    private ActUrlRouteService actUrlRouteService;

    @PassToken
    @ApiOperation("获取url")
    @GetMapping("/getActUrl")
    public BaseResponse<GetActUrlRes> getActUrl(@Validated GetActUrlReq getActUrlReq) throws Exception{
        //获取url
        GetActUrlRes result = actUrlRouteService.getActUrl(getActUrlReq);
        //包装出参
        return BaseResponse.create(result);
    }

}








