package com.abi.qms.platform.controller.wx;

import com.abi.platform.Base.BaseResponse;
import com.abi.qms.platform.dto.req.WxPageListFlowQueryRecordReq;
import com.abi.qms.platform.dto.res.WxPageListFlowQueryRecordRes;
import com.abi.qms.platform.service.IFlowQueryRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 微信流向查询记录 Controller
 *
 * @author WeiganCai
 * @date: 2021-08-23
 */
@Slf4j
@Api(tags = "微信流向查询记录")
@RestController
@RequestMapping("/wx/flow/record")
public class WxFlowQueryRecordController {

	@Autowired
	private IFlowQueryRecordService flowQueryRecordService;

	@ApiOperation("查询流向查询记录 列表")
	@GetMapping("/page/list")
	public BaseResponse<WxPageListFlowQueryRecordRes> pageList(WxPageListFlowQueryRecordReq req) {
		WxPageListFlowQueryRecordRes res = flowQueryRecordService.wxPageListQuery(req);
		return BaseResponse.create(res);
	}
}
