package com.abi.qms.platform.controller.wx;

import com.abi.platform.Base.BaseResponse;
import com.abi.qms.platform.dto.req.WxSaveInspectionCaseReq;
import com.abi.qms.platform.service.IInspectionCaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 微信稽查案件 Controller
 *
 * @author WeiganCai
 * @date 2021-08-20
 */
@Slf4j
@Api(tags = "微信稽查案件")
@RestController
@RequestMapping("/wx/inspectionCase")
public class WxInspectionCaseController {

    @Autowired
    private IInspectionCaseService inspectionCaseService;

    @ApiOperation("新增稽查案件 ")
    @PostMapping("/save")
    public BaseResponse saveInspectionCase(@Validated @RequestBody WxSaveInspectionCaseReq req) {
        inspectionCaseService.wxSaveInspectionCase(req);
        return BaseResponse.create();
    }

}
