package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import jdk.nashorn.internal.objects.annotations.Constructor;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author: ZhangZhao
 * @date: 2021/7/16 15:00
 * @description: 省市-区域数据表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class BaseArea {

    @Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Schema(name = "父级ID")
    private Long parentId;

    @Schema(name = "地区名称")
    private String name;

    @Schema(name = "显示顺序")
    private Integer sort;

    @Schema(name = "区域编码")
    private Long code;

    @Schema(name = "区域类型 1-省(直辖区) 2-市  3-县(区)")
    private Integer type;

    @Schema(name = "备注")
    private String remarks;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;


}
