package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 流向查询记录-箱垛信息关联 对象 flow_query_record_box_stack
 * 
 * @author WeiganCai
 * @date 2021-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Schema(name="流向查询记录-箱垛信息关联对象", description="流向查询记录-箱垛信息关联信息")
public class FlowQueryRecordBoxStack implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "流向查询记录id")
    private Long flowQueryRecordId;

    @Schema(name = "箱码")
    private String boxCode;

    @Schema(name = "隐形码")
    private String invisibleCode;

    @Schema(name = "原始托盘码")
    private String originalStackCode;

    @Schema(name = "原始堆垛时间")
    private LocalDateTime originalStackTime;

    @Schema(name = "最新托盘码")
    private String newestStackCode;

    @Schema(name = "最新堆垛时间")
    private LocalDateTime newestStackTime;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;

}
