package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 稽查案件-箱码关联 对象 inspection_case_box_code
 *
 * @author: ZhangZhao
 * @date: 2021-07-19
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("inspection_case_box_code")
public class InspectionCaseBoxCode implements Serializable {

    private static final long serialVersionUID=1L;


    /** id */
    @TableId(value = "id")
    private Long id;

    /** 稽查案件id */
    private Long inspectionCaseId;

    /** 箱码 */
    private String boxCode;

    /** 手写标记 */
    private String handMark;

    /** 创建时间 */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /** 创建人id */
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    /** 修改时间 */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /** 修改人id */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    /** 是否删除 */
    @TableLogic
    private Integer isDelete;

}
