package com.abi.qms.platform.dao.mapper;


import com.abi.qms.platform.dao.entity.FlowQueryRecord;
import com.abi.qms.platform.dao.vo.result.FlowQueryRecordInfoVo;
import com.abi.qms.platform.dao.vo.result.ListFlowQueryRecordVO;
import com.abi.qms.platform.dao.vo.result.WxListFlowQueryRecordVO;
import com.abi.qms.platform.dto.req.ExportFlowQueryRecordReq;
import com.abi.qms.platform.dto.req.PageListFlowQueryRecordReq;
import com.abi.qms.platform.dto.req.WxPageListFlowQueryRecordReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流向查询记录 Mapper接口
 *
 * @author: ZhangZhao
 * @date: 2021-07-21
 */
public interface FlowQueryRecordMapper extends BaseMapper<FlowQueryRecord> {

    /**
     * 分页列表查询
     *
     * @param page        分页信息
     * @param pageListReq 查询条件
     * @return 分页结果
     */
    IPage<ListFlowQueryRecordVO> pageListQuery(IPage page, @Param("param") PageListFlowQueryRecordReq pageListReq);

    /**
     * 查询流向记录详情
     *
     * @param id ID
     * @return 详情信息
     */
    FlowQueryRecordInfoVo getDetailsById(@Param("id") Long id);

    /**
     * 查询列表
     *
     * @param req
     * @return
     */
    List<ListFlowQueryRecordVO> queryList(@Param("param") ExportFlowQueryRecordReq req);

    /**
     * 微信分页列表查询
     */
    IPage<WxListFlowQueryRecordVO> wxPageListQuery(IPage page, @Param("param") WxPageListFlowQueryRecordReq req);

}
