package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.InspectionCaseBoxCode;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 稽查案件-箱码关联 Mapper接口
 *
 * @author: ZhangZhao
 * @date: 2021-07-19
 */
public interface InspectionCaseBoxCodeMapper extends BaseMapper<InspectionCaseBoxCode> {


    /**
     * 批量保存涉案箱码
     *
     * @param inspectionCaseBoxCodeList 涉案箱码列表
     */
    void insertBatch(@Param("list") List<InspectionCaseBoxCode> inspectionCaseBoxCodeList);

    /**
     * 根据案件ID删除相关箱码信息
     *
     * @param caseIds 案件ids
     */
    void deleteBatchCaseIds(@Param("caseIds") Long[] caseIds);
}
