package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: zhang zhao
 * @date: 2021/7/2723:20
 * @description: 查询流向记录详情对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@ApiModel
public class FlowQueryRecordInfoVo implements Serializable {


    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    private Long id;


    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态")
    private Integer flowStatus;

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码")
    private String trayCode;

    /**
     * 查询平台
     */
    @ApiModelProperty(value = "查询平台")
    private String queryPlatform;

    /**
     * 查询人
     */
    @ApiModelProperty(value = "查询人")
    private String queryUserName;

    /**
     * 查询地址
     */
    @ApiModelProperty(value = "查询地址")
    private String queryAddress;

    /**
     * 查询时间
     */
    @ApiModelProperty(value = "查询时间")
    private LocalDateTime queryTime;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")
    private String brandCode;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")
    private String brandName;


    /**
     * 生产批次
     */
    @ApiModelProperty(value = "生产批次")
    private String productionBatch;

    /**
     * 生产日期
     */
    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime productionTime;

    /**
     * SKU信息
     */
    @ApiModelProperty(value = "SKU信息")
    private String skuCode;

    /**
     * SKU信息
     */
    @ApiModelProperty(value = "SKU信息")
    private String skuName;


}
