package com.abi.qms.platform.dao.vo.result;

import com.abi.qms.platform.dto.res.GetInspectionCaseInfoRes;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 10:23
 * @description: 稽查案件详情
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@ApiModel
public class InspectionCaseDetailVO implements Serializable {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String caseNumber;

    /**
     * 案件名称
     */
    @ApiModelProperty(value = "案件名称")
    private String caseName;

    @ApiModelProperty(value = "sku编码")
    private String skuCode;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * 流货数量(箱)
     */
    @ApiModelProperty(value = "流货数量(箱)")
    private Long boxCodeCount;

    /**
     * 案件备注
     */
    @ApiModelProperty(value = "案件备注")
    private String caseRemark;


    /**
     * 流出经销商名称
     */
    @ApiModelProperty(value = "流出经销商名称")
    private String outAgencyName;

    /**
     * 流出经销商编号
     */
    @ApiModelProperty(value = "流出经销商编号")
    private String outAgencyCode;

    /**
     * 流入经销商编号
     */
    @ApiModelProperty(value = "流入经销商编号")
    private String inAgencyCode;

    /**
     * 流入经销商名称
     */
    @ApiModelProperty(value = "流入经销商名称")
    private String inAgencyName;



}
