package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 17:29
 * @description: 分页查询 查询记录列表 映射返回对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@ApiModel
public class ListFlowQueryRecordVO implements Serializable {

    /**
     * id
     */
    @ApiModelProperty(value = "编号")
    private Long id;

    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态")
    private Integer flowStatus;

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码")
    private String trayCode;


    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌CODE", required = true)
    private String brandCode;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌名称", required = true)
    private String brandName;

    @ApiModelProperty(value = "SKU编码")
    private String skuCode;

    /**
     * SKU SKU-NAME
     */
    @ApiModelProperty(value = "SKU")
    private String skuName;

    /**
     * 查询类型 1-箱码查询 2-托盘码查询
     */
    @ApiModelProperty(value = "查询类型 1-箱码查询 2-托盘码查询")
    private Integer queryType;

    /**
     * 查询平台 1-微信  2-后台
     */
    @ApiModelProperty(value = "查询平台")
    private Integer queryPlatform;

    /**
     * 查询地址
     */
    @ApiModelProperty(value = "查询地址")
    private String queryAddress;


    /**
     * 异常节点CODE-流出
     */
    @ApiModelProperty(value = "异常节点CODE-流入 流向状态为异常时必传")
    private Long abnormalInNodeCode;

    /**
     * 异常节点名称-流出
     */
    @ApiModelProperty(value = "异常节点名称-流入 流向状态为异常时必传")
    private String abnormalInNodeName;


    /**
     * 异常节点CODE-流出
     */
    @ApiModelProperty(value = "异常节点CODE-流出 流向状态为异常时必传")
    private Long abnormalOutNodeCode;


    /**
     * 异常节点名称-流出
     */
    @ApiModelProperty(value = "异常节点名称-流出 流向状态为异常时必传")
    private String abnormalOutNodeName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "查询时间")
    private LocalDateTime queryTime;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long queryUserID;

    /**
     * 创建人名称
     */
    @ApiModelProperty(value = "创建人名称")
    private String queryUserName;

}
