package com.abi.qms.platform.dto.req;

import com.abi.qms.platform.dao.enums.FlowQueryTypeEnum;
import io.swagger.models.auth.In;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 箱码查询入参
 *
 * @author WeiganCai
 * @date: 2021-08-02
 */
@Data
@Schema
@AllArgsConstructor
@NoArgsConstructor
public class GetBoxCodeReq implements Serializable {

    @Schema(name = "查询类型")
    @NotNull(message = "查询类型为空")
    private Integer queryType;

    @Schema(name = "箱码")
    @NotNull(message = "箱码为空")
    private String boxCode;


}
