package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 16:18
 * @description: 分页查询流向记录 入参
 */
@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PageListFlowQueryRecordReq extends PageReq implements Serializable {
    @ApiModelProperty(value = "编号")
    private Long id;

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码 不支持模糊搜索")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码 不支持模糊搜索")
    private String trayCode;

    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态 1-正常  2-异常")
    private Integer flowStatus;

    /**
     * 查询平台 1-微信  2-后台
     */
    @ApiModelProperty(value = "查询平台 1-微信  2-后台")
    private Integer queryPlatform;

    /**
     * 查询用户名称
     */
    @ApiModelProperty(value = "查询用户名称")
    private String queryUserName;

    /**
     * 查询时间-开始
     */
    @ApiModelProperty(value = "创建时间-开始(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startQueryTime;


    /**
     * 查询时间-结束
     */
    @ApiModelProperty(value = "创建时间-结束(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endQueryTime;


}
