package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/20 9:21
 * @description: 分页 查询 稽查案件 入参
 */
@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PageListInspectionCaseReq extends PageReq implements Serializable {

    /**
     * 案件编号/名称
     */
    @ApiModelProperty(value = "案件编号/名称")
    private String caseNameOrNumber;


    /**
     * SKU 信息 支持输入SKU的编码和名称
     */
    @ApiModelProperty(value = "SKU信息 支持输入SKU的编码和名称")
    private String skuInfo;


    /**
     * 创建渠道 1-微信 2-后台
     */
    @ApiModelProperty(value = "创建渠道 1-微信 2-后台")
    private Integer channel;

    /**
     * 流出经销商
     */
    @ApiModelProperty(value = "流出经销商 支持输入编码和名称")
    private String agencyOut;

    /**
     * 流出经销商
     */
    @ApiModelProperty(value = "流出经销商 支持输入编码和名称")
    private String agencyIn;


    /**
     * 创建时间-开始
     */
    @ApiModelProperty(value = "创建时间-开始(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startCreateTime;


    /**
     * 创建时间-结束
     */
    @ApiModelProperty(value = "创建时间-结束(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endCreateTime;

    /** 查询条件 */
    private List<String> skuCodeList;


}
