package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 流向查询记录 入参
 *
 * @author WeiganCai
 * @date: 2021-08-23
 */
@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class WxPageListFlowQueryRecordReq extends PageReq implements Serializable {
    @ApiModelProperty(value = "创建时间-开始(yyyy-MM-dd HH:mm:ss)")
    private LocalDateTime startQueryTime;

    @ApiModelProperty(value = "创建时间-结束(yyyy-MM-dd HH:mm:ss)")
    private LocalDateTime endQueryTime;

    @ApiModelProperty(value = "案件编号")
    private String caseNumber;

    @ApiModelProperty(value = "案件名称")
    private String caseName;

}
