package com.abi.qms.platform.dto.res;

import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: zhang zhao
 * @date: 2021/8/615:43
 * @description: 导出流向查询记录出参
 */
@Data
@ApiModel
public class ExportFlowQueryRecordRes implements AbstractExcelProperty, Serializable {
    /**
     * id
     */
    @ApiModelProperty(value = "编号")
    @ExcelHeadAlias("ID")
    private Long id;

    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态")
    @ExcelHeadAlias("流向状态")
    private String flowStatus;

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码")
    @ExcelHeadAlias("箱码")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码")
    @ExcelHeadAlias("托盘码")
    private String trayCode;


    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌Code")
    @ExcelHeadAlias("品牌Code")
    private String brandCode;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌名称")
    @ExcelHeadAlias("品牌名称")
    private String brandName;

    /**
     * SKU SKU-NAME
     */
    @ApiModelProperty(value = "SKU")
    @ExcelHeadAlias("SKU名称")
    private String skuName;


    /**
     * 查询平台 1-微信  2-后台
     */
    @ApiModelProperty(value = "查询平台")
    @ExcelHeadAlias("查询平台")
    private String queryPlatform;

    /**
     * 查询地址
     */
    @ApiModelProperty(value = "查询地址")
    @ExcelHeadAlias("查询地址")
    private String queryAddress;

    /**
     * 异常节点CODE-流出
     */
    @ApiModelProperty(value = "异常节点CODE-流入 流向状态为异常时必传")
    @ExcelHeadAlias("异常节点CODE-流入")
    private Long abnormalInNodeCode;

    /**
     * 异常节点名称-流出
     */
    @ApiModelProperty(value = "异常节点名称-流入 流向状态为异常时必传")
    @ExcelHeadAlias("异常节点名称-流入")
    private String abnormalInNodeName;


    /**
     * 异常节点CODE-流出
     */
    @ApiModelProperty(value = "异常节点CODE-流出 流向状态为异常时必传")
    @ExcelHeadAlias("异常节点CODE-流出")
    private Long abnormalOutNodeCode;


    /**
     * 异常节点名称-流出
     */
    @ApiModelProperty(value = "异常节点名称-流出 流向状态为异常时必传")
    @ExcelHeadAlias("异常节点名称-流出")
    private String abnormalOutNodeName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "查询时间")
    @ExcelHeadAlias("查询时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime queryTime;

    /**
     * 查询人
     */
    @ApiModelProperty(value = "查询人ID")
    @ExcelHeadAlias("查询人ID")
    private Long queryUserID;

    /**
     * 查询人
     */
    @ApiModelProperty(value = "查询人")
    @ExcelHeadAlias("查询人")
    private String queryUserName;
}
