package com.abi.qms.platform.dto.res;

import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: zhang zhao
 * @date: 2021/8/614:19
 * @description: 导出稽查案件数据 出参
 */
@Data
@ApiModel
public class ExportInspectionCaseRes implements AbstractExcelProperty, Serializable {

    /**
     * 案件ID
     */
    @ApiModelProperty(value = "ID")
    @ExcelHeadAlias("ID")
    private String id;

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    @ExcelHeadAlias("案件编号")
    private String caseNumber;

    /**
     * 案件名称
     */
    @ApiModelProperty(value = "案件名称")
    @ExcelHeadAlias("案件名称")
    private String caseName;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    @ExcelHeadAlias("sku名称")
    private String skuName;

    /**
     * 流货数量(箱)
     */
    @ApiModelProperty(value = "流货数量(箱)")
    @ExcelHeadAlias("流货数量(箱)")
    private Long boxCodeCount;

    /**
     * 流出经销商
     */
    @ApiModelProperty(value = "流出经销商")
    @ExcelHeadAlias("流出经销商")
    private String outAgency;

    /**
     * 流入经销商
     */
    @ApiModelProperty(value = "流入经销商")
    @ExcelHeadAlias("流入经销商")
    private String inAgency;

    /**
     * 渠道 1-微信 2-后台
     */
    @ApiModelProperty(value = "创建渠道")
    @ExcelHeadAlias("创建渠道")
    private String channel;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @ExcelHeadAlias("创建人")
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @ExcelHeadAlias("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

}
