package com.abi.qms.platform.dto.res;

import com.abi.qms.platform.dao.entity.BaseArea;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/16 16:31
 * @description: 获取 区域-省市信息接口出参对象
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel
public class GetBaseAreaListRes {

    /**
     * 区域信息列表
     */
    @ApiModelProperty(value = "区域-省市信息列表")
    private List<BaseAreaBean> areas;


    /**
     * 箱码幅面bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "GetBaseAreaListRes_BaseAreaBean")
    public static class BaseAreaBean implements Serializable {

        @Schema(name = "父级Code")
        private Long parentId;

        @Schema(name = "地区名称")
        private String name;

        @Schema(name = "显示顺序")
        private Integer sort;

        @Schema(name = "区域编码")
        private Long code;

        @Schema(name = "区域类型 1-省(直辖区) 2-市  3-县(区)")
        private Integer type;

        @Schema(name = "备注")
        private String remarks;

        @Schema(name = "创建时间")
        @TableField(fill = FieldFill.INSERT)
        private LocalDateTime createTime;

        @Schema(name = "创建人id")
        @TableField(fill = FieldFill.INSERT)
        private Long createBy;

        @Schema(name = "修改时间")
        @TableField(fill = FieldFill.INSERT_UPDATE)
        private LocalDateTime updateTime;

        @Schema(name = "修改人id")
        @TableField(fill = FieldFill.INSERT_UPDATE)
        private Long updateBy;

        @Schema(name = "是否删除")
        private Integer isDelete;

    }


}
