package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 9:37
 * @description: 获取稽查案件详情出参
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetInspectionCaseInfoRes implements Serializable {

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String caseNumber;

    /**
     * 案件名称
     */
    @ApiModelProperty(value = "案件名称")
    private String caseName;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * 流货数量(箱)
     */
    @ApiModelProperty(value = "流货数量(箱)")
    private Long boxCodeCount;

    /**
     * 案件备注
     */
    @ApiModelProperty(value = "案件备注")
    private String caseRemark;


    /**
     * 流出经销商
     */
    @ApiModelProperty(value = "流出经销商")
    private String outAgency;

    /**
     * 流入经销商
     */
    @ApiModelProperty(value = "流入经销商")
    private String inAgency;


    /**
     * 流向信息
     */
    private List<FlowBean> flowList;


    /**
     * 流向信息
     */
    @Data
    @Accessors(chain = true)
    public static class FlowBean implements Serializable {

        @Schema(name = "id")
        private Long id;

        @Schema(name = "节点标识")
        private Long nodeId;

        @Schema(name = "节点名称")
        private String nodeName;

        @Schema(name = "节点状态")
        private Integer nodeStatus;

        @Schema(name = "异常类型 0-无异常 1-流入异常 2-流出异常")
        private Integer abnormalType;

        @Schema(name = "是否拆垛")
        private Integer isSplit;

        @Schema(name = "拆垛托盘码")
        private String splitStackCode;

        @Schema(name = "入库时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime inStorageTime;

        @Schema(name = "出库时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime outStorageTime;
    }



}
