package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/20 9:46
 * @description: 分页 查询 稽查案件 出参
 */

@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PageListInspectionCaseRes extends PageResp implements Serializable {

    private List<InspectionCaseBean> inspectionCaseList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "PageListInspectionCaseRes_InspectionCaseBean")
    public static class InspectionCaseBean {

        /**
         * 案件ID
         */
        @ApiModelProperty(value = "ID")
        private Long id;

        /**
         * 案件编号
         */
        @ApiModelProperty(value = "案件编号")
        private String caseNumber;

        /**
         * 案件名称
         */
        @ApiModelProperty(value = "案件名称")
        private String caseName;

        /**
         * sku名称
         */
        @ApiModelProperty(value = "sku名称")
        private String skuName;

        /**
         * 流货数量(箱)
         */
        @ApiModelProperty(value = "流货数量(箱)")
        private Long boxCodeCount;

        /**
         * 流出经销商
         */
        @ApiModelProperty(value = "流出经销商")
        private String outAgency;

        /**
         * 流入经销商
         */
        @ApiModelProperty(value = "流入经销商")
        private String inAgency;

        /**
         * 渠道 1-微信 2-后台
         */
        @ApiModelProperty(value = "创建渠道")
        private String channel;

        /**
         * 创建人
         */
        @ApiModelProperty(value = "创建人")
        private String createUserName;

        /**
         * 创建时间
         */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;
    }


}
