package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 垛码查询出参
 * TODO 测试使用，待流向查询接口完成后，根据实际情况调整结构
 *
 * @author WeiganCai
 * @date: 2021-08-16
 */
@Data
@Schema
public class WxGetStackCodeRes implements Serializable {
    @Schema(name = "SKU信息")
    private SkuBean sku;

    @Schema(name = "流向信息")
    private List<FlowBean> flowList;

    @Schema(name = "垛信息")
    private StackBean stack;

    /**
     * SKU信息
     */
    @Data
    @Accessors(chain = true)
    public static class SkuBean implements Serializable {
        @Schema(name = "品牌编码")
        private String brandCode;

        @Schema(name = "品牌名称")
        private String brandName;

        @Schema(name = "SKUId")
        private String skuId;

        @Schema(name = "SKU名称")
        private String skuName;
    }

    /**
     * 流向信息
     */
    @Data
    @Accessors(chain = true)
    public static class FlowBean implements Serializable {
        @Schema(name = "节点标识")
        private Long nodeId;

        @Schema(name = "节点名称")
        private String nodeName;

        @Schema(name = "入库时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime inStorageTime;

        @Schema(name = "出库时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime outStorageTime;
    }

    /**
     * 垛信息
     */
    @Data
    @Accessors(chain = true)
    public static class StackBean implements Serializable {
        @Schema(name = "托盘码")
        private String stackCode;

        @Schema(name = "堆垛时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime StackTime;
    }
}
