package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 流向查询记录 出参
 *
 * @author WeiganCai
 * @date: 2021-08-23
 */
@ApiModel
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class WxPageListFlowQueryRecordRes extends PageResp implements Serializable {
    /**
     * 数据列表
     */
    @ApiModelProperty(value = "流向数据列表")
    private List<FlowQueryRecordBean> flowQueryRecordList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(value = "WxPageListFlowQueryRecordRes_FlowQueryRecordBean")
    public static class FlowQueryRecordBean implements Serializable {
        @ApiModelProperty(value = "流向状态")
        private String flowStatus;

        @ApiModelProperty(value = "箱码")
        private String boxCode;

        @ApiModelProperty(value = "托盘码")
        private String trayCode;

        @ApiModelProperty(value = "SKU")
        private String skuName;

        @ApiModelProperty(value = "案件编号")
        private String caseNumber;

        @ApiModelProperty(value = "案件名称")
        private String caseName;

        @ApiModelProperty(value = "省份")
        private String provinceName;

        @ApiModelProperty(value = "城市")
        private String cityName;

        @ApiModelProperty(value = "查询时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime queryTime;
    }


}
