package com.abi.qms.platform.feign;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

/**
 * TODO 无法调用其他微服务，模拟SkuFeign
 * @author WeiganCai
 * @date: 2021-08-17
 */
@Service
public class SkuFeign {

	public Sku getSkuByCode(String skuCode) {
		return new Sku()
				.setSkuId(215L)
				.setSkuCode(skuCode)
				.setSkuName("哈尔滨特制超鲜10度610ML1X12纸箱OW瓶装")
				.setBrandCode("01ABZY")
				.setBrandName("哈尔滨");

	}


	public List<Sku> likeQuerySkuByCodeOrName(String skuInquire) {
		return Arrays.asList(
				new Sku()
				.setSkuId(215L)
				.setSkuCode("000000000000005957")
				.setSkuName("贝克11.2度275ML 4X6 纸箱OW瓶")
				.setBrandCode("01AAAC")
				.setBrandName("贝克"),

				new Sku()
				.setSkuId(215L)
				.setSkuCode("000000000000025000")
				.setSkuName("哈尔滨特制超鲜10度610ML1X12纸箱OW瓶装")
				.setBrandCode("01ABZY")
				.setBrandName("哈尔滨"),

				new Sku()
					.setSkuId(215L)
					.setSkuCode("000000000000025010")
					.setSkuName("哈尔滨冰纯9.1度600ML1X12纸箱回瓶装")
					.setBrandCode("01ABZY")
					.setBrandName("哈尔滨"),

				new Sku()
					.setSkuId(215L)
					.setSkuCode("000000000000025161")
					.setSkuName("百威纯生8度330ML1X24纸箱OW瓶装")
					.setBrandCode("01AAHF")
					.setBrandName("百威")
		);




	}








	@Data
	@Accessors(chain = true)
	public static class Sku {
		private Long skuId;
		private String skuCode;
		private String skuName;
		private String brandCode;
		private String brandName;
	}
}
