package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.AddFlowQueryRecordReq;
import com.abi.qms.platform.dto.req.ExportFlowQueryRecordReq;
import com.abi.qms.platform.dto.req.PageListFlowQueryRecordReq;
import com.abi.qms.platform.dto.req.WxPageListFlowQueryRecordReq;
import com.abi.qms.platform.dto.res.ExportFlowQueryRecordRes;
import com.abi.qms.platform.dto.res.GetFlowQueryRecordInfo;
import com.abi.qms.platform.dto.res.PageListFlowQueryRecordRes;
import com.abi.qms.platform.dto.res.WxPageListFlowQueryRecordRes;

import java.util.Collection;
import java.util.List;

/**
 * 流向查询记录 Service接口
 *
 * @author ZhangZhao
 * @date 2021-07-21
 */
public interface IFlowQueryRecordService {

    /**
     * 分页查询列表
     *
     * @param pageListReq 查询条件
     * @return 查询结果
     */
    PageListFlowQueryRecordRes pageListQuery(PageListFlowQueryRecordReq pageListReq);

    /**
     * 新增流向查询记录
     *
     * @param addReq 新增请求
     */
    void addFlowQueryRecord(AddFlowQueryRecordReq addReq);


    /**
     * 根据ID获取详情
     *
     * @param id 知道ID
     * @return 详细信息
     */
    GetFlowQueryRecordInfo getDetailsById(Long id);

    /**
     * 导出流向查询记录
     *
     * @param req 查询条件
     * @return 数据列表
     */
    List<ExportFlowQueryRecordRes> export(ExportFlowQueryRecordReq req);

    /**
     * 微信分页查询列表
     */
	WxPageListFlowQueryRecordRes wxPageListQuery(WxPageListFlowQueryRecordReq req);
}
