package com.abi.qms.platform;

import com.abi.qms.platform.service.InspectionCaseNumberService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.concurrent.CyclicBarrier;

/**
 * 稽查模块测试
 * @author WeiganCai
 * @date: 2021-07-20
 */
@SpringBootTest
@Slf4j
public class InspectionTest {
	@Autowired
	private InspectionCaseNumberService caseNumberService;

	@Test
	public void getCaseNumber() {
		int threadCount = 10;
		CyclicBarrier cyclicBarrier = new CyclicBarrier(threadCount);
		Long cityId = 320100L;
		for (int i = 0; i < threadCount; i++) {
			new Thread(() -> {
				try {
					cyclicBarrier.await();
					String caseNumber = caseNumberService.getCaseNumber(cityId);
					log.info(caseNumber);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}).start();
		}
		while (true) {

		}
	}
}
